Bug 494161 - (perl-Term-Size-Perl) Review Request: perl-Term-Size-Perl - Perl extension for retrieving terminal size
Review Request: perl-Term-Size-Perl - Perl extension for retrieving terminal ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 02:59 EDT by Iain Arnell
Modified: 2010-08-24 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.029-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 00:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-05 02:59:22 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Term-Size-Perl.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Term-Size-Perl-0.029-1.fc11.src.rpm
Description: 
Yet another implementation of Term::Size. Now in pure Perl, with the
exception of a C probe run on build time.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277692

note: although the resulting rpm appears to be noarch, the build is arch-dependent and produces different code in Params.pm for ppc and x86 (and consequently, rpmlint moans about no-binary).
Comment 1 Chris Weyl 2009-04-06 01:50:54 EDT
Everything looks good...  With the exception of a missing BR on Test::Pod;
Comment 2 Chris Weyl 2009-04-06 02:00:23 EDT
Everything looks good...  With the exception of a missing BR on Test::Pod;
please add before importing.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1277692

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
00699199e149f28a2d57bb1ddbb1d0fde94c9f31 Term-Size-Perl-0.029.tar.gz
00699199e149f28a2d57bb1ddbb1d0fde94c9f31 Term-Size-Perl-0.029.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Term-Size-Perl-0.029-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Term-Size-Perl-0.029-1.fc10.src.rpm
====> requires for perl-Term-Size-Perl-0.029-1.fc10.src.rpm
perl(ExtUtils::CBuilder)  
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

=====> perl-Term-Size-Perl-0.029-1.fc10.x86_64.rpm <=====
====> rpmlint
perl-Term-Size-Perl.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
====> provides for perl-Term-Size-Perl-0.029-1.fc10.x86_64.rpm
perl(Term::Size::Perl) = 0.029
perl(Term::Size::Perl::Params) = 0.029
perl-Term-Size-Perl = 0.029-1.fc10
perl-Term-Size-Perl(x86-64) = 0.029-1.fc10
====> requires for perl-Term-Size-Perl-0.029-1.fc10.x86_64.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Exporter)  
perl(Term::Size::Perl::Params)  
perl(strict)  
perl(vars)  

APPROVED
Comment 3 Iain Arnell 2009-04-06 04:44:01 EDT
New Package CVS Request
=======================
Package Name: perl-Term-Size-Perl
Short Description: Perl extension for retrieving terminal size
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-04-06 23:30:07 EDT
cvs done.
Comment 5 Fedora Update System 2009-04-07 00:04:04 EDT
perl-Term-Size-Perl-0.029-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Term-Size-Perl-0.029-2.fc10
Comment 6 Fedora Update System 2009-04-07 00:04:08 EDT
perl-Term-Size-Perl-0.029-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Term-Size-Perl-0.029-2.fc9
Comment 7 Fedora Update System 2009-04-13 15:38:37 EDT
perl-Term-Size-Perl-0.029-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-13 15:41:18 EDT
perl-Term-Size-Perl-0.029-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Iain Arnell 2010-08-24 07:43:37 EDT
Package Change Request
======================
Package Name: perl-Term-Size-Perl
New Branches: el6
Owners: iarnell
Comment 10 Kevin Fenzi 2010-08-24 19:48:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.